[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] portability issue on Centos 6.0



On 08/22/2011 12:30 AM, Daniel Veillard wrote:
On Tue, Aug 16, 2011 at 08:26:02AM -0600, Eric Blake wrote:
On 08/16/2011 03:57 AM, Daniel Veillard wrote:
   I just tred compiling 0.9.4 and git head on Centos 6.0, for the
possible libvirt.org server replacement and it fails in both cases
with:

   CC     libvirtd-remote.o
remote.c: In function 'remoteDispatchAuthPolkit':
remote.c:2161: error: invalid initializer

What version of systemtap headers are installed?

   Sorry for reporting late, I had forgotten about the issue, but let's
   try to fix it :-)

libvirt:~ ->  rpm -qil systemtap-sdt-devel-1.2-9.el6.x86_64


   Yes that fixes it for me (but I didn't try to do much more than
make and make check), I had to rebase the diff slightly as follow,

   thanks, ACK !

I've pushed the patch, including your rebase touchups.

--
Eric Blake   eblake redhat com    +1-801-349-2682
Libvirt virtualization library http://libvirt.org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]